Bug Hunting Session
Bug 119212 - List of character sets in ASCII Filter Options is mixed up
Summary: List of character sets in ASCII Filter Options is mixed up
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.beta1+
Hardware: All All
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.1.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-08-11 03:09 UTC by Aron Budea
Modified: 2018-08-13 19:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2018-08-11 03:09:07 UTC
Open any txt file by selecting format 'Text - Choose Encoding'.
Check the list of character sets.

In previous versions, the list started with Arabic, Baltic, Chinese, Cyrillic etc, listing the different encodings per each group.

=> Currently the list of character sets lack ordering.

Observed using LO 6.1.0.3 & 6.1 beta1 / Windows 7.
Order is fine in 6.0.0.3.
=> regression
Comment 1 Aron Budea 2018-08-11 10:03:14 UTC
Bibisected to the following commit using repo bibisect-win32-6.1. Adding Cc: to Caolán McNamara, please take a look sometimes.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=2b2fe50f33f7d677098f3ebafa8357aea848c0ea
author		Caolán McNamara <caolanm@redhat.com>	2018-04-12 13:42:04 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-04-13 09:58:31 +0200

weld SwAsciiFilterDlg and set an explicit parent for the dialog
Comment 2 Aron Budea 2018-08-11 11:01:41 UTC
It appears currently the previous settings aren't remembered. Not sure if that's related to the same commit, but fixing that as well would be splendid. (I can open a separate bug report if needed)
Comment 3 Commit Notification 2018-08-13 12:13:41 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9aada6df968b8148f659c5949a0c20fe9cfe69c1

Reslves: tdf#119212 sort character sets

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2018-08-13 12:33:05 UTC
backport to 6-1 in gerrit
Comment 5 Commit Notification 2018-08-13 19:10:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1e749e8c7dd59f4c90ec72e2e092cacac71acc40&h=libreoffice-6-1

Reslves: tdf#119212 sort character sets

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.